Name:           libAfterImage
Version:        1.20
Release:    1%{?dist}
Summary:        A generic image manipulation library

License:        LGPLv2+
URL:            http://www.afterstep.org/afterimage/index.php
Source0:        ftp://ftp.afterstep.org/stable/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}-COPYING
Patch0:         %{name}-Makefile-ldconfig.patch
Patch1:         %{name}-libpng15.patch
Patch2:         %{name}-unbundle-libgif.patch
Patch3:         %{name}-link.patch
Patch4:         %{name}-configure-c99.patch

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  freetype-devel
BuildRequires:  zlib-devel
BuildRequires:  libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  giflib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  librsvg2-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  gawk

%description
libAfterImage is a generic image manipulation library. It was initially
implemented to address AfterStep Window Manager's needs for image handling,
but it evolved into extremely powerful and flexible software, suitable for
virtually any project that has needs for loading, manipulating, displaying
images, as well as writing images in files. Most of the popular image formats
are supported using standard libraries, with XCF, XPM, PPM/PNM, BMP, ICO and
TGA being supported internally.

GIF, PNG, JPEG, TIFF and SVG formats are supported via standard libraries.

Powerful text rendering capabilities included, providing support for
TrueType fonts using FreeType library, and anti-aliasing of standard fonts
from X window system. 

%package devel
Summary:        Files needed for software development with %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains the files needed for development with
%{name}.

%package apps
Summary:        Sample programs using %{name}
Requires:       %{name} = %{version}-%{release}

%description apps
The %{name}-apps package contains sample programs using %{name}.

%prep
%setup -q
%patch0 
%patch1
%patch2 -p1
%patch3 -p1
%patch4 -p1

rm libjpeg/*
rm libpng/*
rm libungif/*
rm zlib/*

sed /zlib/d -i .depend

%build
%configure --enable-i18n --disable-staticlibs --enable-sharedlibs \
--disable-mmx-optimization --without-builtin-gif --without-afterbase \
--x-includes=%{_includedir} --x-libraries=%{_libdir}

%make_build CCFLAGS="-DNO_DEBUG_OUTPUT -fPIC %{optflags}" AR="ar cq"

%install
%make_install CCFLAGS="-DNO_DEBUG_OUTPUT -fPIC %{optflags}" AR="ar cq"

cp %{SOURCE1} COPYING


%files
%doc README ChangeLog
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_bindir}/afterimage-*
%{_includedir}/%{name}
%{_libdir}/*.so

%files apps
%{_bindir}/as*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.20-1
- initial build
